Subject: bug#69631: 30.0.50; native compilation errors

From: Andrea Corallo <[email-masked]>
Date: Fri, 08 Mar 2024 04:48:12 -0500

[email-masked] writes:

> Hi,
>
> I see that native compilation of some files fails when I recompile my
> whole eln-cache.
>
> In this case, I have in my *Async-native-compile-log* messages like:
> /Users/vermeulen/opt/share/emacs/30.0.50/lisp/emacs-lisp/package.el.gz:
> Error Type or missing from typeof-types!
> and the package eln file is not generated.
>
> I see this also happen for wid-edit.el.gz and Org-mode (main repro
> checkout)
> ox-texinfo, ob-core, ob-fortran, and ob-core as well as
> elpa/debbugs-0.40.0.20240215.214858/debbugs-gnu.el.
>
> GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin20.6.0, NS
> appkit-2202.70 Version 11.7.1 (Build 20G918)) of 2024-03-08
> commit bd017175d4571e24ef1fdf84676136af1d36002d
>
> Regards -- Gerard

Hi Gerard,

had no time yet to try master today, but I'd guess this comes from
yesterday's Stefan changes.

I'll try a whole AOT build to see if other files are impacted.

Thanks

  Andrea